package sun.beanbox.beans;
import java.beans.*;

//
// Marketing department wants to put the right
// spin on the class name when publicly viewed
// in builder tools.
//
public class NervousText06BeanInfo extends SimpleBeanInfo {
  private final static Class beanClass =
    NervousText06.class;
  public BeanDescriptor getBeanDescriptor() {
    System.err.println("ENTER---> NervousText06BeanInfo.getBeanDescriptor");
    BeanDescriptor bd = new BeanDescriptor(beanClass);
    bd.setDisplayName("Uneasy Text");
    System.err.println("EXIT----> NervousText06BeanInfo.getBeanDescriptor");
    return bd;
  }
  // ----\/------------------------------------
  public PropertyDescriptor[] getPropertyDescriptors() {
    try {
      PropertyDescriptor textPD =
        new PropertyDescriptor("text", beanClass);
      PropertyDescriptor rv[] = {textPD};
      return rv;
    } catch (IntrospectionException e) {
      throw new Error(e.toString());
    }
  }
  // ----\/------------------------------------

}


