import java.awt.*;
import java.awt.event.*;

public class Frame1 extends Frame {

  class GridBagConstraints2 extends GridBagConstraints {
    public GridBagConstraints2(int gridx, int gridy, int gridwidth, int gridheight,
                               double weightx, double weighty, int anchor, int fill,
                               Insets insets, int ipadx, int ipady) {
      this.gridx = gridx;
      this.gridy = gridy;
      this.gridwidth = gridwidth;
      this.gridheight = gridheight;
      this.fill = fill;
      this.ipadx = ipadx;
      this.ipady = ipady;
      this.insets = insets;
      this.anchor  = anchor;
      this.weightx = weightx;
      this.weighty = weighty;
    }
  }

  //Construct the frame
  Label label1 = new Label();
  Label label2 = new Label();
  GridBagLayout gridBagLayout1 = new GridBagLayout();
  Label label3 = new Label();
  TextField textField1 = new TextField();
  Label label4 = new Label();
  TextField textField2 = new TextField();
  Panel panel1 = new Panel();
  GridLayout gridLayout1 = new GridLayout();
  Button button1 = new Button();
  Button button2 = new Button();
  
  public Frame1() {
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    setBackground (Color.lightGray);
    try  {
      jbInit();
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }
//Component initialization
  
  private void jbInit() throws Exception  {
    setLayout(gridBagLayout1);
    this.setSize(new Dimension(284, 200));
    label1.setFont(new Font("Helvetica", 1, 10));
    label1.setText("Enter username for Public Access at");
    label2.setFont(new Font("Helvetica", 1, 10));
    label2.setText("www.lombard.com");
    label3.setFont(new Font("Helvetica", 1, 10));
    label3.setText("User Name:");
    label4.setFont(new Font("Helvetica", 1, 10));
    label4.setText("Password:");
    gridLayout1.setVgap(10);
    gridLayout1.setColumns(2);
    gridLayout1.setHgap(20);
    button1.setFont(new Font("Helvetica", 1, 10));
    button1.setLabel("Cancel");
    button2.setFont(new Font("Helvetica", 1, 10));
    button2.setLabel("OK");
    panel1.setLayout(gridLayout1);
    this.setTitle("Username and Password Required");
    add(label1, new GridBagConstraints2(0, 0, 2, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(0, 10, 0, 0), 0, 0));
    add(label2, new GridBagConstraints2(0, 1, 2, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(0, 10, 0, 0), 0, 0));
    add(label3, new GridBagConstraints2(0, 2, 1, 1, 0.0, 0.0
            ,GridBagConstraints.NORTH, GridBagConstraints.NONE, new Insets(10, 10, 0, 6), 0, 0));
    add(textField1, new GridBagConstraints2(1, 2, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(10, 0, 0, 0), 150, 0));
    add(label4, new GridBagConstraints2(0, 3, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(0, 10, 0, 6), 0, 0));
    add(textField2, new GridBagConstraints2(1, 3, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
    add(panel1, new GridBagConstraints2(0, 4, 4, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(10, 0, 0, 0), 0, 0));
    panel1.add(button2, null);
    panel1.add(button1, null);
  }
//Overriden so we can exit on System Close
  
  protected void processWindowEvent(WindowEvent e) {
    super.processWindowEvent(e);
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      System.exit(0);
    }
  }
}
