import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.net.*;
import sun.misc.BASE64Encoder;

public class URLConn  {

  public static void main (String args[]) {

    String username  = args[0];
    String password  = args[1];
    String urlString = args[2];

    String contents = getContents (username, password, urlString);
    System.out.println (contents);

  }

  private static String getContents (String username, String password, String urlString) {
    StringWriter sw = new StringWriter();
    PrintWriter  pw = new PrintWriter(sw);

    try {
      String userPassword = username + ":" + password;
      URL url = new URL (urlString);

      byte response[] = (username + ":" + password).getBytes();
      BASE64Encoder enc = new BASE64Encoder();
      String encoding = enc.encode (response);
      URLConnection uc = url.openConnection();
      String value = "Basic " + encoding;
      uc.setRequestProperty ("Authorization", value);
      InputStream content = (InputStream)uc.getInputStream();
      BufferedReader in = 
        new BufferedReader (new InputStreamReader (content));
      String line;
      while ((line = in.readLine()) != null) {
        pw.println (line);
      }
    } catch (MalformedURLException e) {
      System.err.println ("Invalid URL");
    } catch (IOException e) {
      System.err.println ("Error reading URL");
    }
    return sw.toString();
  }
}
