package Marcel;

import java.awt.*;
import java.awt.event.*;
import java.beans.*;

public class BillboardCustomizer extends Panel {
  private CentralPerk target;
  private TextField fontField, msgField;
  private PropertyChangeSupport support =
    new PropertyChangeSupport(this);
  public void setObject(Object obj) {
    target = (CentralPerk) obj;
    // Font and Message Input Fields
    // Add Action Listeners
  }
  public Dimension preferredSize() {
    return new Dimension(225, 60);
  }
  public void actionPerformed(ActionEvent e) {
    Object source = e.getSource();
    if (source==fontField) {
      // Change Font

      support.firePropertyChange("", null, null);
    }else if (source==msgField) {
      // Change Message

      support.firePropertyChange("", null, null);
    }
  }
  public void addPropertyChangeListener(
      PropertyChangeListener l) {
    support.addPropertyChangeListener(l);
  }
  public void removePropertyChangeListener(
      PropertyChangeListener l) {
    support.removePropertyChangeListener(l);
  }
  private String encode (Font f) {
    String style;
    if (f.isBold())
      style = f.isItalic() ? "bolditalic" : "bold";
    else
      style = f.isItalic() ? "italic" : "plain";
    return f.getName() + "-" + style + "-" + f.getSize();
  }
}