/**** ProgressTarget.java ****/

//
// This class implements a very simple target for testing the Progress Bean.
//

package progresstarget;

import progress.*;
import java.awt.*;

public class ProgressTarget extends Canvas implements ProgressListener {
  int percent = 0;

  public ProgressTarget() {
    setBackground(Color.yellow);
  }

  public void progressMade(ProgressEvent e) {
    percent = e.getPercent();
    repaint();
  }

  public void paint(Graphics g) {
    g.drawString("Progress made: " + percent, 5, 15);
  }

  public Dimension getMinimumSize() {
    return new Dimension(150, 40);
  }
}

