package smiley;

import java.beans.*;

public class DiameterEditor 
    extends PropertyEditorSupport {

  protected int diameter;

  public void setValue(Object o) {
    diameter = ((Integer)o).intValue();
    firePropertyChange();
  }

  public Object getValue() {
    return new Integer(diameter);
  }

  public String getAsText() {
    return "" + diameter;
  }

  public void setAsText(String s) 
      throws IllegalArgumentException {
//    diameter = new Integer(s)).intValue();
    diameter = Integer.parseInt(s);
    firePropertyChange();
  }
}