package stickfigure;

import java.beans.*;

public class StickFigureBeanInfo
    extends SimpleBeanInfo {

  public BeanDescriptor getBeanDescriptor() {
    return new
      BeanDescriptor(StickFigure.class, StickFigureCustomizer.class);
  }

  public PropertyDescriptor[]
      getPropertyDescriptors() {
    try {
      PropertyDescriptor pd1 = new
        PropertyDescriptor("mood", StickFigure.class);
      pd1.setBound(true);
      pd1.setPropertyEditorClass(MoodEditor.class);
      PropertyDescriptor pd2 = new
        PropertyDescriptor("sunburned", StickFigure.class);
      pd2.setBound(true);
      return new PropertyDescriptor[] {pd1, pd2};
    } catch (Exception e) {
      return null;
    }
  }

  public java.awt.Image getIcon(int iconKind) {
    if (iconKind == ICON_COLOR_16x16 || iconKind == ICON_MONO_16x16)
      return loadImage("stickfigure16x16.gif");
    else
      return loadImage("stickfigure32x32.gif");
  }
}