package sock;

import java.beans.*;

public class ClientSocketBeanInfo
    extends SimpleBeanInfo {
  public PropertyDescriptor[]
      getPropertyDescriptors() {
    try {
      PropertyDescriptor pd1 = new
        PropertyDescriptor("someProperty", ClientSocket.class);
      // other property descriptors ...
      return new PropertyDescriptor[] {
        pd1 // other property descriptors
      };
    } catch (Exception e) {
      return null;
    }
  }

  //
  // depending on the names of your interface(s), event object(s),
  // and so on, you may need an event set descriptor, for example,
  //
  public EventSetDescriptor[]
      getEventSetDescriptors() {
    try {
      String mnames[] = {"received", "sent"};
      EventSetDescriptor esd = new
        EventSetDescriptor(ClientSocket.class, "Socket Event",
          SocketListener.class, mnames,
          "addSocketListener", "removeSocketListener");
      return new EventSetDescriptor[] { esd };
    } catch (Exception e) {
      return null;
    }
  }
}