/**** SampleServlet.java ****/

import java.io.*;
import javax.servlet.*;

public class SampleServlet implements Servlet {
  private ServletConfig config;

  public void init(ServletConfig config)
      throws ServletException {
    this.config = config;
  }

  public void destroy() {
  }

  public ServletConfig getServletConfig() {
    return config;
  }
  
  public String getServletInfo() {
    return "A Simple Servlet";
  }

  public void service(ServletRequest req,
      ServletResponse res)
    throws ServletException, IOException {
    res.setContentType("text/html");
    PrintWriter out = res.getWriter();
    out.println("<html>");
    out.println("<head>");
    out.println("<title>Sample Servlet</title>");
    out.println("</head>");
    out.println("<body>");
    out.println("<h1>Sample Servlet</h1>");
    out.println("</body>");
    out.println("</html>");
    out.close();
  }
}
