// Copyright MageLang Institute; Version $Id: //depot/main/src/edu/modules/Servlets/magercises/ServletServiceTimeParameters/solution/ServletParameterTest.java#3 $
import java.io.IOException;
import javax.servlet.*;
import javax.servlet.http.*;
 
/**
 * ServletParametersTest servlet. This servlet will retrieve parameters
 * and use them to customize the output sent to the browser.
 *
 */
public
class ServletParameterTest extends HttpServlet {
   
  public void doGet 
  (
    HttpServletRequest req, 
    HttpServletResponse res
  )
  throws 
    ServletException, 
    IOException
  {
  
    // Variable to hold the two parameterss
    String paramName;
    String paramPosition;
    
    // Variable referencing the OutputStream sent back to the client
    ServletOutputStream out;
    
    // Add one line to
    // Set the Output Stream to HTML
    res.setContentType("text/html");

    // Add two lines to
    // Get the name and position parameters from the client
    paramName     = req.getParameter( "name"     );
    paramPosition = req.getParameter( "position" );
    
    
    // Add one line to
    // Get a handle to the OutputStream going back to the client
    out = res.getOutputStream();
    
    out.println("<html>");
    out.println("<head><title>Parameter Test Servlet</title></head>");
    out.println("<body>");

    out.println("<h1>Parameter Test Servlet</h1>");
    out.println("<p>");
    out.println( paramName + ", I'm glad to see that you have achieved the position of " + paramPosition );
    out.println("</p>");
    out.println("</body>");
    out.println("</html>");
    out.close();
  }

  
  public String getServletInfo() 
  {
    return "A servlet that uses parameters to customize its output";
  }
}
