import java.awt.*;
import java.awt.event.*;
public class MenuApplication extends AppFrame {
  TextField msg;
  public MenuApplication() {
    super("MenuApplication");
    setSize(200, 200);
    MenuAppMenu m = new MenuAppMenu(this);
    MenuBar mb = new MenuBar();
    mb.add(m);
    setMenuBar(mb);
    msg = new TextField();
    msg.setEditable(false);
    add(msg, BorderLayout.SOUTH);
  }
  public void closeApp() {
    setVisible(false);
    dispose();
    System.exit(0);
  }
  public static void main(String[] args) {
    MenuApplication app = new MenuApplication();
    app.setVisible(true);
  }
}

class MenuAppMenu extends Menu
    implements ActionListener {
  MenuApplication ref;
  public MenuAppMenu(MenuApplication ref) {
    super("File");
    this.ref = ref;
    MenuItem mi;
    add(mi = new MenuItem("Open"));
    mi.addActionListener(this);
    add(mi = new MenuItem("Save"));
    mi.addActionListener(this);
    add(mi = new MenuItem("Exit"));
    mi.addActionListener(this);
  }
  public void actionPerformed(ActionEvent e) {
    String item = e.getActionCommand();
    if (item.equals("Exit"))
      ref.closeApp();
    else
      ref.msg.setText("Selected menu item: " + item);
  }
}
