import java.awt.*;
import java.awt.event.*;
import java.util.Properties;

public class PrintMe extends Frame {
  Properties p;
  PrintMe() {
    super("Print");
    add(new Button("North"), BorderLayout.NORTH);
    add(new Button("South"), BorderLayout.SOUTH);
    add(new Button("East"), BorderLayout.EAST);
    add(new Button("West"), BorderLayout.WEST);
    addMouseListener(new MouseAdapter() {
      public void mousePressed(MouseEvent e) {
        doPrint();
      }
    });
    p = new Properties();
    setSize(250, 250);
  }
  public void doPrint() {
    PrintJob pjob = getToolkit().getPrintJob(this, "Cool Stuff", p);
    if (pjob != null) {
      Graphics pg = pjob.getGraphics();
      if (pg != null) {
        printAll(pg);
        pg.dispose();
      }
      pjob.end();
    }
  }
  public static void main(String args[]) {
    Frame f = new PrintMe();
    f.setVisible(true);
  }
}

