import java.awt.*;
import java.awt.event.*;

public class MenuTestWindow extends Frame {
  TextArea output;

  public MenuTestWindow() {
    super("MenuTest Window");
    setLayout(new FlowLayout());
    setSize(300, 180);

    // make a top level File menu
    FileMenu fileMenu = new FileMenu(this);

    // make a top level Help menu
    HelpMenu helpMenu = new HelpMenu(this);

    // make a menu bar for this frame and add top level menus File and Menu
    MenuBar mb = new MenuBar();
    mb.add(fileMenu);
    mb.add(helpMenu);
    setMenuBar(mb);
    add(output = new TextArea(4, 30));
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        exit();
      }
    });
  }

  public void exit() {
    setVisible(false); // hide the frame
    dispose();         // tell windowing system to free resources
    System.exit(0);    // exit the application
  }
}
