import com.ms.security.*;
import com.ms.security.permissions.*;
import java.io.*;
import java.awt.*;
import java.applet.*;

public class ReadFileIE extends Applet {
  public void init() {
    try {
      String filename = getParameter ("filename");

      PolicyEngine.assertPermission(PermissionID.FILEIO);

      FileReader fr = new FileReader (filename);
      BufferedReader br = new BufferedReader (fr);
      StringWriter sw = new StringWriter();
      String line;
      while ((line = br.readLine()) != null) {
        sw.write (line);
        sw.write ('\n');
      }
      br.close();
      setLayout (new BorderLayout());
      add (new TextArea (sw.toString()), BorderLayout.CENTER);
    } catch (IOException e) {
      System.err.println ("Error reading file");
    }
  }
}