import java.io.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
public class PLTester extends JApplet {
  JTextArea jta;
  JTextField jtf;
  JButton jb;
  public void init() {
    jta = new JTextArea();
    jtf = new JTextField();
    jb = new JButton ("Save");
    Container c = getContentPane();
    c.add (new JScrollPane(jta), BorderLayout.CENTER);
    c.add (jtf, BorderLayout.NORTH);
    c.add (jb,  BorderLayout.SOUTH);
    jb.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        Writer out = null;
        try {
          out = new BufferedWriter (new FileWriter(jtf.getText()));
          String s = jta.getText();
          out.write(s);
          JOptionPane.showMessageDialog(
            PLTester.this, 
            "Save Happened");
        } catch (SecurityException se) {
          JOptionPane.showMessageDialog (
            PLTester.this, 
            "Security Violation Happened", 
            "Security Violation", 
            JOptionPane.ERROR_MESSAGE);
        } catch (IOException ie) {
          JOptionPane.showMessageDialog(
            PLTester.this, 
            "IOException Happened", 
            "IO Problems", 
            JOptionPane.WARNING_MESSAGE);
        } finally {
          if (out != null) {
            try {
              out.close();
            } catch (IOException ignored) {
            }
          }
        }
      }
    });
  }
}