import java.io.*;
public class SMTester {
  public static void main (String args[]) {
    try {
      File f = new File("joe.txt");
      System.out.println ("joe.txt exists? " + f.exists());
    } catch (SecurityException e) {
      System.err.println ("Cannot check if joe.txt exists");
    }

    // Install security manager here

    System.out.println ("\nAfter new SM Installed\n");
    try {
      File f = new File("joe.txt");
      System.out.println ("joe.txt exists? " + f.exists());
    } catch (SecurityException e) {
      System.err.println ("Cannot check if joe.txt exists");
    }
    try {
      File f = new File("joe.tmp");
      System.out.println ("joe.tmp exists? " + f.exists());
    } catch (SecurityException e) {
      System.err.println ("Cannot check if joe.tmp exists");
    }
    try {
      File f = new File("joe.txt");
      System.out.println ("joe.txt writable? " + f.canWrite());
    } catch (SecurityException e) {
      System.err.println ("Cannot check if joe.txt writable");
    }
    try {
      File f = new File("joe.tmp");
      System.out.println ("joe.tmp writable? " + f.canWrite());
    } catch (SecurityException e) {
      System.err.println ("Cannot check if joe.tmp writable");
    }
  }
}