import java.io.*;
public class MySecurityManager extends NullSecurityManager {

  final static String filenameEnding = ".tmp";
  public void checkRead(String file) {
    if (!file.endsWith(filenameEnding)) {
      throw new SecurityException ("Read attempt: " + file);
    }
  }
  public void checkRead(String file, Object context) { 
    checkRead (file);
  }
  public void checkWrite(String file) { 
    if (!file.endsWith(filenameEnding)) {
      throw new SecurityException ("Write attempt: " + file);
    }
  }

}

