package hire;

import java.beans.*;

public class HireBeanInfo
    extends SimpleBeanInfo {
  public BeanDescriptor getBeanDescriptor() {
    return new
      BeanDescriptor(Hire.class, HireCustomizer.class);
  }
  public PropertyDescriptor[]
      getPropertyDescriptors() {
    try {
      PropertyDescriptor pd1 = new
        PropertyDescriptor("salary",
          Hire.class);
      pd1.setBound(true);
      PropertyDescriptor pd2 = new
        PropertyDescriptor("department",
          Hire.class);
      pd2.setPropertyEditorClass(
        DepartmentEditor.class);
      pd2.setBound(true);
      return new PropertyDescriptor[] {pd1, pd2};
    } catch (Exception e) {
      return null;
    }
  }
}