// Copyright MageLang Institute; Version $Id: //depot/main/src/edu/modules/Beans/magercises/DatabaseManager/Solution/database/DatabaseManagerBeanInfo.java#3 $

/**** DatabaseManagerBeanInfo.java ****/

package database;

import java.beans.*;

public class DatabaseManagerBeanInfo
    extends SimpleBeanInfo {
  public PropertyDescriptor[]
      getPropertyDescriptors() {
    try {
      PropertyDescriptor pd1 = new
        PropertyDescriptor("connected", DatabaseManager.class);
      PropertyDescriptor pd2 = new
        PropertyDescriptor("submitted", DatabaseManager.class);
      PropertyDescriptor pd3 = new
        PropertyDescriptor("driver", DatabaseManager.class);
      PropertyDescriptor pd4 = new
        PropertyDescriptor("subprotocol", DatabaseManager.class);
      PropertyDescriptor pd5 = new
        PropertyDescriptor("subprotocolData", DatabaseManager.class);
      PropertyDescriptor pd6 = new
        PropertyDescriptor("url", DatabaseManager.class);
      PropertyDescriptor pd7 = new
        PropertyDescriptor("user", DatabaseManager.class);
      PropertyDescriptor pd8 = new
        PropertyDescriptor("password", DatabaseManager.class);
      PropertyDescriptor pd9 = new
        PropertyDescriptor("sql", DatabaseManager.class);
      PropertyDescriptor pd10 = new
        PropertyDescriptor("doubleSpace", DatabaseManager.class);
      PropertyDescriptor pd11 = new
        PropertyDescriptor("debug", DatabaseManager.class);
      return new PropertyDescriptor[] {
        pd1, pd2, pd3, pd4, pd5, pd6, pd7, pd8, pd9, pd10, pd11
      };
    } catch (Exception e) {
      return null;
    }
  }

  public EventSetDescriptor[]
      getEventSetDescriptors() {
    try {
      String mnames[] = {"queryPerformed"};
      EventSetDescriptor esd = new
        EventSetDescriptor(DatabaseManager.class, "Database Manager Event",
          DatabaseManagerListener.class, mnames,
          "addDatabaseManagerListener", "removeDatabaseManagerListener");
      return new EventSetDescriptor[] { esd };
    } catch (Exception e) {
      return null;
    }
  }
}