// Copyright MageLang Institute; Version $Id: //depot/main/src/edu/modules/Beans/magercises/SocketBean/Solution/sock/ClientSocketBeanInfo.java#3 $

package sock;

import java.beans.*;

public class ClientSocketBeanInfo
    extends SimpleBeanInfo {
  public PropertyDescriptor[]
      getPropertyDescriptors() {
    try {
      PropertyDescriptor pd1 = new
        PropertyDescriptor("machine", ClientSocket.class);
      PropertyDescriptor pd2 = new
        PropertyDescriptor("port", ClientSocket.class);
      PropertyDescriptor pd3 = new
        PropertyDescriptor("messageToWrite", ClientSocket.class);
      return new PropertyDescriptor[] {
        pd1, pd2, pd3
      };
    } catch (Exception e) {
      return null;
    }
  }

  public EventSetDescriptor[]
      getEventSetDescriptors() {
    try {
      String mnames[] = {"received", "sent"};
      EventSetDescriptor esd = new
        EventSetDescriptor(ClientSocket.class, "Socket Event",
          SocketListener.class, mnames,
          "addSocketListener", "removeSocketListener");
      return new EventSetDescriptor[] { esd };
    } catch (Exception e) {
      return null;
    }
  }
}