/**** Welcome.java ****/

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class Welcome extends HttpServlet {
  public void doGet(HttpServletRequest req,
      HttpServletResponse res)
      throws ServletException, IOException {
    res.setContentType("text/html");
    ServletOutputStream out = res.getOutputStream();
    out.println("<html>");
    out.println("<head><title>Welcome</title></head>");
    out.println("<body>");
    String[] name = req.getParameterValues("name");
    if (name != null && name[0] != null && name[0].length() > 0)
      out.println("<h1>Welcome " + name[0] + ".</h1>");
    else
      out.println("<h1>Welcome.</h1>");
    out.println("</body></html>");
  }

  public String getServletInfo() {
    return "Welcome Servlet";
  }
}
