// Copyright MageLang Institute; Version $Id: //depot/main/src/edu/modules/Servlets/magercises/FormPostingAndProcessing/solution/ColumnInfo.java#3 $
  // Class that contains information about a column to be displayed in the HTML form
import java.util.*;

public class ColumnInfo
  {
    String name;
    String type;
    int    length;

    // This is a column Vector with the data
    Vector data = new Vector( 100 );

    public ColumnInfo( String data )
    {
      StringTokenizer st = new StringTokenizer( data, "|" );
      name = st.nextToken();
      type = st.nextToken();
      length = Integer.valueOf( st.nextToken() ).intValue();
    }

    public int getLength()
    {
      return length;
    }

    public String getName()
    {
      return name;
    }

    public Vector getData()
    {
      return data;
    }

    public void setData( Vector data )
    {
      this.data = data;
    }

    public void setNextData( String sData )
    {
      data.addElement( sData );
    }

    public void setData( int row, String sData )
    {
      data.setElementAt( sData, row );
    }

    public String getData( int row )
    {
      return (String)data.elementAt( row );
    }

    public int getNumberOfRows()
    {
      return data.size();
    }
  }

