import java.awt.*;

public class BoxedPanel extends Panel {
  Color color;

  public BoxedPanel() {
    this(Color.black);
  }

  public BoxedPanel(Color c) {
    color = c;
  }

  public Insets getInsets() {
    return new Insets(5, 5, 5, 5);
  }

  public void paint(Graphics g) {
    g.setColor(color);
    g.drawRect(2, 2, getSize().width - 5, getSize().height - 5);
  }
}
