
import PPModule.*;

public class PongServer {

  public static void main(String[] args) {

    // Initialize the ORB.
    org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init(args,null);

    // Locate a PongObject instance
    PingObject pingObject = PingObjectHelper.bind(orb,"pingObject");

    // Initialize the BOA.
    org.omg.CORBA.BOA boa = orb.BOA_init();

    // Create a PongObject instance
    PongObject pongObject = new PongObjectImpl();

    // Export the newly created object.
    boa.obj_is_ready(pongObject);

    // Print out a message that the object is ready
    System.out.println(pongObject + " is ready.");

    // ping the pingObject
    pingObject.ping(pongObject,1);
    
  }

}

