import java.awt.*;
import java.io.*;

public class DisplayFile {
  static DirectoryList dl;

  public static void main(String[] args) {
    String dirName = null;
    if (args.length <= 0)
      dirName = "."; // current directory
    else
      dirName = args[0];
    dl = new DirectoryList(dir(dirName));
    dl.setVisible(true);
  }

  public static String[] dir(String dirName) {
    File f = new File(dirName);
    if (!f.exists()) {
      System.err.println("Cannot open dir: " + dirName);
      return null;
    }
    return f.list();
  }
}

