import java.applet.*;
import java.awt.*;
import java.awt.event.*;

public class ListFonts extends Applet
       implements ItemListener 
{
  private List list;
  private TextField tf;
  
  public void init() {
    setLayout(new BorderLayout());
    String fontList[] = getToolkit().getFontList();
    // If you're using Java 2 Platform, use the following instead:
    //   GraphicsEnvironment.getLocalGraphicsEnvironment().getAvailableFontFamilyNames();
    // getFontList() was deprecated in favor of this method
    // NOTE: GraphicsEnvironment does not exist in JDK 1.1 so unless you've
    //       installed the Java Plug-in, you won't be able to use it in a browser
    list = new List(5, false);
    
    for (int i = 0; i < fontList.length; i++)
      list.addItem(fontList[i]);
      
    add(list, BorderLayout.CENTER);
    
    list.addItemListener(this);
    
    tf = new TextField();
    tf.setEditable(false);
    add(tf, BorderLayout.SOUTH);
  }
  
  public void itemStateChanged(ItemEvent e) {
    String item = list.getSelectedItem();
    if (item != null && item.length() > 0)
      tf.setText(item);
    else
      tf.setText("No font selection.");
  }
}

