import java.awt.*;
import java.awt.event.*;

class FileMenu extends Menu implements ActionListener {
  private MenuTestWindow mw;  // who owns us?

  public FileMenu(MenuTestWindow m) {
    super("File");
    mw = m;
    MenuItem mi;
    add(mi = new MenuItem("Open"));
    mi.addActionListener(this);
    add(mi = new MenuItem("Close"));
    mi.addActionListener(this);
    add(mi = new MenuItem("Exit"));
    mi.addActionListener(this);
  }

  public void actionPerformed(ActionEvent e) {
    String item = e.getActionCommand();
    if (item == null)
      item = "null";
    if (item.equals("Exit"))
      mw.exit();
    else
      mw.output.append(
        "Selected File menu item:  " + item + "\n");
  }
}
