// Copyright MageLang Institute; Version $Id: //depot/main/src/edu/modules/AWT11/magercises/Menus/Solution/HelpMenu.java#2 $
import java.awt.*;
import java.awt.event.*;

class HelpMenu extends Menu implements ActionListener {
  private MenuTestWindow mw;  // who owns us?

  public HelpMenu(MenuTestWindow m) {
    super("Help");
    mw = m;
    MenuItem mi;
    add(mi = new MenuItem("Fundamentals"));
    mi.addActionListener(this);
    add(mi = new MenuItem("Advanced"));
    mi.addActionListener(this);
    addSeparator();
    add(mi = new CheckboxMenuItem("Have Read The Manual"));
    mi.addActionListener(this);
    add(mi = new CheckboxMenuItem("Have Read The Tutorial"));
    mi.addActionListener(this);
	
    Menu subMenu = new Menu("Misc");
    subMenu.add(mi = new MenuItem("Help!!!"));
    mi.addActionListener(this);
    subMenu.add(mi = new MenuItem("Why did that happen?"));
    mi.addActionListener(this);
    add(subMenu);
  }

  public void actionPerformed(ActionEvent e) {
    String item = e.getActionCommand();
    if (item == null)
      item = "null";
    mw.output.append(
      "Selected Help menu item:  " + item + "\n");
  }
}
